{% extends 'admin/base.html.twig' %}


{% block content %}

    <div>
        <header>
            <h1>Articles</h1>
        </header>


        <div class="container">

            {% if pager.items is empty %}
                <h4>No Articles to display</h4>
            {% endif %}
            {% for article in pager.items %}
                <div class="item">
                    <h5>
                        {{ article.getName() }}
                    </h5>

                    <img width="900" height="450" src="{{ article.getPicture() }}">

                    <p>
                        {{ article.getShortDescription() }}
                    </p>
                    {% if user.isModerator() %}
                        <button onclick="document.getElementById('id01').style.display='block'" class="delete_modal">
                            Delete
                        </button>

                        <div id="id01" class="modal">
                            <span onclick="document.getElementById('id01').style.display='none'" class="close"
                                  title="Close Modal">&times;</span>
                            <form class="modal-content" action="/action_page.php">
                                <div class="container">
                                    <h1>Delete Account</h1>
                                    <p>Are you sure you want to delete your account?</p>

                                    <div class="clearfix">
                                        <button onclick="document.getElementById('id01').style.display='none'"
                                                type="button" class="cancelbtn">Cancel
                                        </button>
                                        <button type="button" class="deletebtn"
                                                onclick="deleteArticle('{{ article.getId() }}')">Delete
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    {% endif %}
                </div>


                <br>
            {% endfor %}
        </div>

        <nav aria-label="...">
            <ul class="pagination">
                {% if pager.previous %}
                    <li class="page-item"><a class="page-link"
                                             href="/admin?menuIndex=1&routeName=articles&signature=DlXyGjhciej6FxolfG3FMETdnDRew62PuoRhj3xvv6Q&submenuIndex=-1&page={{ pager.previous }}">Previous</a>
                    </li>
                {% endif %}


                {% for page in pager.pages %}
                    {% if page == pager.page %}
                        <li class="page-item active">
                    <span class="page-link">
                             {{ page }}
                        <span class="sr-only">(current)</span>
                        </span>
                        </li>

                    {% else %}
                        <li class="page-item"><a class="page-link"
                                                 href="/admin?menuIndex=1&routeName=articles&signature=DlXyGjhciej6FxolfG3FMETdnDRew62PuoRhj3xvv6Q&submenuIndex=-1&page={{ page }}">{{ page }}</a>
                        </li>
                    {% endif %}


                {% endfor %}

                {% if pager.next %}
                    <li class="page-item">
                        <a class="page-link"
                           href="/admin?menuIndex=1&routeName=articles&signature=DlXyGjhciej6FxolfG3FMETdnDRew62PuoRhj3xvv6Q&submenuIndex=-1&page={{ pager.next }}">Next</a>
                    </li>
                {% endif %}
            </ul>
        </nav>
    </div>

{% endblock %}

